/*
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

use fixture_tests::Fixture;
use schema::build_schema;
use schema_print::print;

pub fn transform_fixture(fixture: &Fixture) -> Result<String, String> {
    let result = build_schema(fixture.content);

    result
        .map(|schema| print(&schema))
        .map_err(|err| format!("{}", err))
}
